package igk.ws.resources.cr;

public enum DeliverySpeed {

  NORMAL("normal"),
  FLASH("flash"),
  SUPERFLASH("superflash"),
  IMMEDIATE("immediate");
  private final String value;

  DeliverySpeed(String v) {
    value = v;
  }

  public String value() {
    return value;
  }

  public static DeliverySpeed fromValue(String v) {
    for (DeliverySpeed c : DeliverySpeed.values()) {
      if (c.value.equalsIgnoreCase(v)) {
        return c;
      }
    }
    throw new IllegalArgumentException(v);
  }

}
