package igk.ws.resources.cr;

public enum DeliverySpeedCodes {

  NORMAL("Normal"),
  FLASH("Flash"),
  SUPERFLASH("Superflash"),
  IMMEDIATE("Immediate");
  private final String value;

  DeliverySpeedCodes(String v) {
    value = v;
  }

  public String value() {
    return value;
  }

  public static DeliverySpeedCodes fromValue(String v) {
    for (DeliverySpeedCodes c : DeliverySpeedCodes.values()) {
      if (c.value.equalsIgnoreCase(v)) {
        return c;
      }
    }
    throw new IllegalArgumentException(v);
  }

}
