package igk.ws.resources.cr;

public enum GetOrderStatusResponseCodes {

  OK("OK"),
  SERVICE_NOT_AVAILABLE("ServiceNotAvailable"),
  UNKNOWN_PROVIDER_ID_OR_PROVIDER_ORDER_REFERENCE("UnknownProviderIDOrProviderOrderReference"),
  ACCESS_DENIED("AccessDenied");
  private final String value;

  GetOrderStatusResponseCodes(String v) {
    value = v;
  }

  public String value() {
    return value;
  }

  public static GetOrderStatusResponseCodes fromValue(String v) {
    for (GetOrderStatusResponseCodes c : GetOrderStatusResponseCodes.values()) {
      if (c.value.equals(v)) {
        return c;
      }
    }
    throw new IllegalArgumentException(v);
  }

}
