package igk.ws.resources.cr;

public enum PingResponseCodes {

  OK("OK"),
  SERVICE_NOT_AVAILABLE("ServiceNotAvailable");
  private final String value;

  PingResponseCodes(String v) {
    value = v;
  }

  public String value() {
    return value;
  }

  public static PingResponseCodes fromValue(String v) {
    for (PingResponseCodes c : PingResponseCodes.values()) {
      if (c.value.equals(v)) {
        return c;
      }
    }
    throw new IllegalArgumentException(v);
  }

}
