package igk.ws.resources.cr;

public enum ProductAvailability {

  AVAILABLE_IMMEDIATELY("AvailableImmediately"),
  AVAILABLE_ON_ORDER("AvailableOnOrder");
  private final String value;

  ProductAvailability(String v) {
    value = v;
  }

  public String value() {
    return value;
  }

  public static ProductAvailability fromValue(String v) {
    for (ProductAvailability c : ProductAvailability.values()) {
      if (c.value.equals(v)) {
        return c;
      }
    }
    throw new IllegalArgumentException(v);
  }

}
