package igk.ws.resources.cr;

public enum ReportMimeTypeCodes {

  TEXT_HTML("text/html"),
  TEXT_XML("text/xml"),
  APPLICATION_PDF("application/pdf");
  private final String value;

  ReportMimeTypeCodes(String v) {
    value = v;
  }

  public String value() {
    return value;
  }

  public static ReportMimeTypeCodes fromValue(String v) {
    for (ReportMimeTypeCodes c : ReportMimeTypeCodes.values()) {
      if (c.value.equals(v)) {
        return c;
      }
    }
    throw new IllegalArgumentException(v);
  }

}
