package igk.ws.resources.cr;

public class Company {

  protected String name;
  protected String sortName;
  protected String internalID;
  protected String registrationCountry;
  protected PostalAddress principalAddress;
  protected ArrayOfCompanyIdentifier identifiers;
  protected ArrayOfActivity activities;
  protected String dateOfLastUpdate;
  protected String dateOfLastBalanceSheet;

  public String getName() {
    return name;
  }

  public void setName(String name) {
    this.name = name;
  }

  public String getSortName() {
    return sortName;
  }

  public void setSortName(String sortName) {
    this.sortName = sortName;
  }

  public String getInternalID() {
    return internalID;
  }

  public void setInternalID(String internalID) {
    this.internalID = internalID;
  }

  public String getRegistrationCountry() {
    return registrationCountry;
  }

  public void setRegistrationCountry(String registrationCountry) {
    this.registrationCountry = registrationCountry;
  }

  public PostalAddress getPrincipalAddress() {
    return principalAddress;
  }

  public void setPrincipalAddress(PostalAddress principalAddress) {
    this.principalAddress = principalAddress;
  }

  public ArrayOfCompanyIdentifier getIdentifiers() {
    return identifiers;
  }

  public void setIdentifiers(ArrayOfCompanyIdentifier identifiers) {
    this.identifiers = identifiers;
  }

  public ArrayOfActivity getActivities() {
    return activities;
  }

  public void setActivities(ArrayOfActivity activities) {
    this.activities = activities;
  }

  public String getDateOfLastUpdate() {
    return dateOfLastUpdate;
  }

  public void setDateOfLastUpdate(String dateOfLastUpdate) {
    this.dateOfLastUpdate = dateOfLastUpdate;
  }

  public String getDateOfLastBalanceSheet() {
    return dateOfLastBalanceSheet;
  }

  public void setDateOfLastBalanceSheet(String dateOfLastBalanceSheet) {
    this.dateOfLastBalanceSheet = dateOfLastBalanceSheet;
  }

  public Company() {
  }

  public Company(String name, String sortName, String internalID,
          String registrationCountry, PostalAddress principalAddress,
          ArrayOfCompanyIdentifier identifiers, ArrayOfActivity activities,
          String dateOfLastUpdate, String dateOfLastBalanceSheet) {
    this.name = name;
    this.sortName = sortName;
    this.internalID = internalID;
    this.registrationCountry = registrationCountry;
    this.principalAddress = principalAddress;
    this.identifiers = identifiers;
    this.activities = activities;
    setDateOfLastUpdate(dateOfLastUpdate);
    setDateOfLastBalanceSheet(dateOfLastBalanceSheet);
  }

}
