package igk.ws.resources.cr;

public enum GetAllOrderCommentsResponseCodes {

  OK("OK"),
  SERVICE_NOT_AVAILABLE("ServiceNotAvailable"),
  UNKNOWN_PROVIDER_ID_OR_PROVIDER_ORDER_REFERENCE("UnknownProviderIDOrProviderOrderReference"),
  ACCESS_DENIED("AccessDenied"),
  NO_COMMENTS_AVAILABLE("NoCommentsAvailable");
  private final String value;

  GetAllOrderCommentsResponseCodes(String v) {
    value = v;
  }

  public String value() {
    return value;
  }

  public static GetAllOrderCommentsResponseCodes fromValue(String v) {
    for (GetAllOrderCommentsResponseCodes c : GetAllOrderCommentsResponseCodes.values()) {
      if (c.value.equals(v)) {
        return c;
      }
    }
    throw new IllegalArgumentException(v);
  }

}
