package igk.ws.resources.cr;

public enum GetCompanyReportResponseCodes {

  OK("OK"),
  SERVICE_NOT_AVAILABLE("ServiceNotAvailable"),
  UNKNOWN_PROVIDER_ID_OR_PROVIDER_ORDER_REFERENCE("UnknownProviderIDOrProviderOrderReference"),
  REPORT_NOT_AVAILABLE("ReportNotAvailable"),
  ACCESS_DENIED("AccessDenied");
  private final String value;

  GetCompanyReportResponseCodes(String v) {
    value = v;
  }

  public String value() {
    return value;
  }

  public static GetCompanyReportResponseCodes fromValue(String v) {
    for (GetCompanyReportResponseCodes c : GetCompanyReportResponseCodes.values()) {
      if (c.value.equals(v)) {
        return c;
      }
    }
    throw new IllegalArgumentException(v);
  }

}
