package igk.ws.resources.cr;

public enum OrderStatusType {

  RECEIVED("Received"),
  FINISHED("Finished"),
  FINISHED_NEGATIVE("FinishedNegative"),
  CANCELLED("Cancelled");
  private final String value;

  OrderStatusType(String v) {
    value = v;
  }

  public String value() {
    return value;
  }

  public static OrderStatusType fromValue(String v) {
    for (OrderStatusType c : OrderStatusType.values()) {
      if (c.value.equals(v)) {
        return c;
      }
    }
    throw new IllegalArgumentException(v);
  }

}
