package igk.ws.resources.cr;

public enum PingRequestCodes {

  SIMPLE("simple"),
  THOROUGH("thorough");
  private final String value;

  PingRequestCodes(String v) {
    value = v;
  }

  public String value() {
    return value;
  }

  public static PingRequestCodes fromValue(String v) {
    for (PingRequestCodes c : PingRequestCodes.values()) {
      if (c.value.equals(v)) {
        return c;
      }
    }
    throw new IllegalArgumentException(v);
  }

}
