package igk.ws.resources.cr;

public enum PlaceOrderResponseCodes {

  OK("OK"),
  SERVICE_NOT_AVAILABLE("ServiceNotAvailable");
  private final String value;

  PlaceOrderResponseCodes(String v) {
    value = v;
  }

  public String value() {
    return value;
  }

  public static PlaceOrderResponseCodes fromValue(String v) {
    for (PlaceOrderResponseCodes c : PlaceOrderResponseCodes.values()) {
      if (c.value.equals(v)) {
        return c;
      }
    }
    throw new IllegalArgumentException(v);
  }

}
