package igk.ws.resources.cr;

public enum ProductCodeCodes {

  CR_RPT("CR-RPT"),
  CR_BSC("CR-BSC"),
  CR_FIN("CR-FIN"),
  CR_REG("CR-REG");
  private final String value;

  ProductCodeCodes(String v) {
    value = v;
  }

  public String value() {
    return value;
  }

  public static ProductCodeCodes fromValue(String v) {
    for (ProductCodeCodes c : ProductCodeCodes.values()) {
      if (c.value.equals(v)) {
        return c;
      }
    }
    throw new IllegalArgumentException(v);
  }

}
