package igk.ws.resources.cr;

public enum SearchResponseCodes {

  OK("OK"),
  SERVICE_NOT_AVAILABLE("ServiceNotAvailable"),
  NOT_FOUND("NotFound"),
  TOO_MANY_RESULTS("TooManyResults"),
  UNKNOWN_IDENTIFIER("UnknownIdentifier");
  private final String value;

  SearchResponseCodes(String v) {
    value = v;
  }

  public String value() {
    return value;
  }

  public static SearchResponseCodes fromValue(String v) {
    for (SearchResponseCodes c : SearchResponseCodes.values()) {
      if (c.value.equals(v)) {
        return c;
      }
    }
    throw new IllegalArgumentException(v);
  }

}
